summaryrefslogtreecommitdiffstats
path: root/configure
diff options
context:
space:
mode:
authorneoraider <devnull@localhost>2007-05-13 16:36:05 +0200
committerneoraider <devnull@localhost>2007-05-13 16:36:05 +0200
commit4069752dbc64302b2fb64703644622cb2ec09eef (patch)
treeab998fb7a54c703ee3c8337c0b3414a38121fd64 /configure
parent6f419cd6200589ac55344ccfe7ef16cedffbcc33 (diff)
downloadlibzoom-4069752dbc64302b2fb64703644622cb2ec09eef.tar
libzoom-4069752dbc64302b2fb64703644622cb2ec09eef.zip
Now using pkgconfig for library dependencies.
Diffstat (limited to 'configure')
-rwxr-xr-xconfigure323
1 files changed, 210 insertions, 113 deletions
diff --git a/configure b/configure
index 4391f1e..a18f0a4 100755
--- a/configure
+++ b/configure
@@ -879,8 +879,12 @@ GL_CFLAGS
GL_LIBS
GLU_CFLAGS
GLU_LIBS
-LIBPNG_CFLAGS
-LIBPNG_LIBS
+libneofx_CFLAGS
+libneofx_LIBS
+libpng_CFLAGS
+libpng_LIBS
+libxml2_CFLAGS
+libxml2_LIBS
LIBOBJS
LTLIBOBJS'
ac_subst_files=''
@@ -901,8 +905,12 @@ F77
FFLAGS
PKG_CONFIG
XMKMF
-LIBPNG_CFLAGS
-LIBPNG_LIBS'
+libneofx_CFLAGS
+libneofx_LIBS
+libpng_CFLAGS
+libpng_LIBS
+libxml2_CFLAGS
+libxml2_LIBS'
# Initialize some variables set by options.
@@ -1523,9 +1531,17 @@ Some influential environment variables:
FFLAGS Fortran 77 compiler flags
PKG_CONFIG path to pkg-config utility
XMKMF Path to xmkmf, Makefile generator for X Window System
- LIBPNG_CFLAGS
- C compiler flags for LIBPNG, overriding pkg-config
- LIBPNG_LIBS linker flags for LIBPNG, overriding pkg-config
+ libneofx_CFLAGS
+ C compiler flags for libneofx, overriding pkg-config
+ libneofx_LIBS
+ linker flags for libneofx, overriding pkg-config
+ libpng_CFLAGS
+ C compiler flags for libpng, overriding pkg-config
+ libpng_LIBS linker flags for libpng, overriding pkg-config
+ libxml2_CFLAGS
+ C compiler flags for libxml2, overriding pkg-config
+ libxml2_LIBS
+ linker flags for libxml2, overriding pkg-config
Use these variables to override the choices made by `configure' or to help
it to find libraries and programs with nonstandard names/locations.
@@ -4276,7 +4292,7 @@ ia64-*-hpux*)
;;
*-*-irix6*)
# Find out which ABI we are using.
- echo '#line 4279 "configure"' > conftest.$ac_ext
+ echo '#line 4295 "configure"' > conftest.$ac_ext
if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
@@ -6945,11 +6961,11 @@ else
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:6948: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:6964: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:6952: \$? = $ac_status" >&5
+ echo "$as_me:6968: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings
@@ -7178,11 +7194,11 @@ else
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:7181: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:7197: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:7185: \$? = $ac_status" >&5
+ echo "$as_me:7201: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings
@@ -7238,11 +7254,11 @@ else
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:7241: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:7257: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
- echo "$as_me:7245: \$? = $ac_status" >&5
+ echo "$as_me:7261: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
@@ -9398,7 +9414,7 @@ else
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<EOF
-#line 9401 "configure"
+#line 9417 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H
@@ -9496,7 +9512,7 @@ else
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<EOF
-#line 9499 "configure"
+#line 9515 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H
@@ -11671,11 +11687,11 @@ else
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:11674: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:11690: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:11678: \$? = $ac_status" >&5
+ echo "$as_me:11694: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings
@@ -11731,11 +11747,11 @@ else
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:11734: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:11750: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
- echo "$as_me:11738: \$? = $ac_status" >&5
+ echo "$as_me:11754: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
@@ -13074,7 +13090,7 @@ else
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<EOF
-#line 13077 "configure"
+#line 13093 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H
@@ -13172,7 +13188,7 @@ else
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<EOF
-#line 13175 "configure"
+#line 13191 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H
@@ -13999,11 +14015,11 @@ else
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:14002: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:14018: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:14006: \$? = $ac_status" >&5
+ echo "$as_me:14022: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings
@@ -14059,11 +14075,11 @@ else
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:14062: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:14078: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
- echo "$as_me:14066: \$? = $ac_status" >&5
+ echo "$as_me:14082: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
@@ -16101,11 +16117,11 @@ else
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:16104: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:16120: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:16108: \$? = $ac_status" >&5
+ echo "$as_me:16124: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings
@@ -16334,11 +16350,11 @@ else
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:16337: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:16353: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:16341: \$? = $ac_status" >&5
+ echo "$as_me:16357: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings
@@ -16394,11 +16410,11 @@ else
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:16397: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:16413: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
- echo "$as_me:16401: \$? = $ac_status" >&5
+ echo "$as_me:16417: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
@@ -18554,7 +18570,7 @@ else
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<EOF
-#line 18557 "configure"
+#line 18573 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H
@@ -18652,7 +18668,7 @@ else
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<EOF
-#line 18655 "configure"
+#line 18671 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H
@@ -20892,88 +20908,88 @@ echo "$as_me: error: OpenGL Utility Library not found" >&2;}
fi
-{ echo "$as_me:$LINENO: checking for MatrixMul in -lneofx" >&5
-echo $ECHO_N "checking for MatrixMul in -lneofx... $ECHO_C" >&6; }
-if test "${ac_cv_lib_neofx_MatrixMul+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
-else
- ac_check_lib_save_LIBS=$LIBS
-LIBS="-lneofx $LIBS"
-cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h. */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h. */
+pkg_failed=no
+{ echo "$as_me:$LINENO: checking for libneofx" >&5
+echo $ECHO_N "checking for libneofx... $ECHO_C" >&6; }
-/* Override any GCC internal prototype to avoid an error.
- Use char because int might match the return type of a GCC
- builtin and then its argument prototype would still apply. */
-#ifdef __cplusplus
-extern "C"
-#endif
-char MatrixMul ();
-int
-main ()
-{
-return MatrixMul ();
- ;
- return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext conftest$ac_exeext
-if { (ac_try="$ac_link"
-case "(($ac_try" in
- *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
- *) ac_try_echo=$ac_try;;
-esac
-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
- (eval "$ac_link") 2>conftest.er1
+if test -n "$PKG_CONFIG"; then
+ if test -n "$libneofx_CFLAGS"; then
+ pkg_cv_libneofx_CFLAGS="$libneofx_CFLAGS"
+ else
+ if test -n "$PKG_CONFIG" && \
+ { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"libneofx-0.1\"") >&5
+ ($PKG_CONFIG --exists --print-errors "libneofx-0.1") 2>&5
ac_status=$?
- grep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } && {
- test -z "$ac_c_werror_flag" ||
- test ! -s conftest.err
- } && test -s conftest$ac_exeext &&
- $as_test_x conftest$ac_exeext; then
- ac_cv_lib_neofx_MatrixMul=yes
+ (exit $ac_status); }; then
+ pkg_cv_libneofx_CFLAGS=`$PKG_CONFIG --cflags "libneofx-0.1" 2>/dev/null`
else
- echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
- ac_cv_lib_neofx_MatrixMul=no
+ pkg_failed=yes
fi
-
-rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
- conftest$ac_exeext conftest.$ac_ext
-LIBS=$ac_check_lib_save_LIBS
+ fi
+else
+ pkg_failed=untried
fi
-{ echo "$as_me:$LINENO: result: $ac_cv_lib_neofx_MatrixMul" >&5
-echo "${ECHO_T}$ac_cv_lib_neofx_MatrixMul" >&6; }
-if test $ac_cv_lib_neofx_MatrixMul = yes; then
- cat >>confdefs.h <<_ACEOF
-#define HAVE_LIBNEOFX 1
-_ACEOF
+if test -n "$PKG_CONFIG"; then
+ if test -n "$libneofx_LIBS"; then
+ pkg_cv_libneofx_LIBS="$libneofx_LIBS"
+ else
+ if test -n "$PKG_CONFIG" && \
+ { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"libneofx-0.1\"") >&5
+ ($PKG_CONFIG --exists --print-errors "libneofx-0.1") 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; then
+ pkg_cv_libneofx_LIBS=`$PKG_CONFIG --libs "libneofx-0.1" 2>/dev/null`
+else
+ pkg_failed=yes
+fi
+ fi
+else
+ pkg_failed=untried
+fi
+
- LIBS="-lneofx $LIBS"
+if test $pkg_failed = yes; then
+
+if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
+ _pkg_short_errors_supported=yes
else
- { { echo "$as_me:$LINENO: error: NeoFX Library not found" >&5
-echo "$as_me: error: NeoFX Library not found" >&2;}
- { (exit 1); exit 1; }; }
+ _pkg_short_errors_supported=no
fi
+ if test $_pkg_short_errors_supported = yes; then
+ libneofx_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "libneofx-0.1"`
+ else
+ libneofx_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "libneofx-0.1"`
+ fi
+ # Put the nasty error message in config.log where it belongs
+ echo "$libneofx_PKG_ERRORS" >&5
+ { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
+ { { echo "$as_me:$LINENO: error: Test for libneofx failed." >&5
+echo "$as_me: error: Test for libneofx failed." >&2;}
+ { (exit 1); exit 1; }; }
+elif test $pkg_failed = untried; then
+ { { echo "$as_me:$LINENO: error: Test for libneofx failed." >&5
+echo "$as_me: error: Test for libneofx failed." >&2;}
+ { (exit 1); exit 1; }; }
+else
+ libneofx_CFLAGS=$pkg_cv_libneofx_CFLAGS
+ libneofx_LIBS=$pkg_cv_libneofx_LIBS
+ { echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6; }
+ :
+fi
pkg_failed=no
-{ echo "$as_me:$LINENO: checking for LIBPNG" >&5
-echo $ECHO_N "checking for LIBPNG... $ECHO_C" >&6; }
+{ echo "$as_me:$LINENO: checking for libpng" >&5
+echo $ECHO_N "checking for libpng... $ECHO_C" >&6; }
if test -n "$PKG_CONFIG"; then
- if test -n "$LIBPNG_CFLAGS"; then
- pkg_cv_LIBPNG_CFLAGS="$LIBPNG_CFLAGS"
+ if test -n "$libpng_CFLAGS"; then
+ pkg_cv_libpng_CFLAGS="$libpng_CFLAGS"
else
if test -n "$PKG_CONFIG" && \
{ (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"libpng\"") >&5
@@ -20981,7 +20997,7 @@ if test -n "$PKG_CONFIG"; then
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; then
- pkg_cv_LIBPNG_CFLAGS=`$PKG_CONFIG --cflags "libpng" 2>/dev/null`
+ pkg_cv_libpng_CFLAGS=`$PKG_CONFIG --cflags "libpng" 2>/dev/null`
else
pkg_failed=yes
fi
@@ -20990,8 +21006,8 @@ else
pkg_failed=untried
fi
if test -n "$PKG_CONFIG"; then
- if test -n "$LIBPNG_LIBS"; then
- pkg_cv_LIBPNG_LIBS="$LIBPNG_LIBS"
+ if test -n "$libpng_LIBS"; then
+ pkg_cv_libpng_LIBS="$libpng_LIBS"
else
if test -n "$PKG_CONFIG" && \
{ (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"libpng\"") >&5
@@ -20999,7 +21015,7 @@ if test -n "$PKG_CONFIG"; then
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; then
- pkg_cv_LIBPNG_LIBS=`$PKG_CONFIG --libs "libpng" 2>/dev/null`
+ pkg_cv_libpng_LIBS=`$PKG_CONFIG --libs "libpng" 2>/dev/null`
else
pkg_failed=yes
fi
@@ -21018,12 +21034,12 @@ else
_pkg_short_errors_supported=no
fi
if test $_pkg_short_errors_supported = yes; then
- LIBPNG_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "libpng"`
+ libpng_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "libpng"`
else
- LIBPNG_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "libpng"`
+ libpng_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "libpng"`
fi
# Put the nasty error message in config.log where it belongs
- echo "$LIBPNG_PKG_ERRORS" >&5
+ echo "$libpng_PKG_ERRORS" >&5
{ echo "$as_me:$LINENO: result: no" >&5
echo "${ECHO_T}no" >&6; }
@@ -21035,13 +21051,87 @@ elif test $pkg_failed = untried; then
echo "$as_me: error: Test for libpng failed." >&2;}
{ (exit 1); exit 1; }; }
else
- LIBPNG_CFLAGS=$pkg_cv_LIBPNG_CFLAGS
- LIBPNG_LIBS=$pkg_cv_LIBPNG_LIBS
+ libpng_CFLAGS=$pkg_cv_libpng_CFLAGS
+ libpng_LIBS=$pkg_cv_libpng_LIBS
{ echo "$as_me:$LINENO: result: yes" >&5
echo "${ECHO_T}yes" >&6; }
:
fi
+pkg_failed=no
+{ echo "$as_me:$LINENO: checking for libxml2" >&5
+echo $ECHO_N "checking for libxml2... $ECHO_C" >&6; }
+
+if test -n "$PKG_CONFIG"; then
+ if test -n "$libxml2_CFLAGS"; then
+ pkg_cv_libxml2_CFLAGS="$libxml2_CFLAGS"
+ else
+ if test -n "$PKG_CONFIG" && \
+ { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"libxml-2.0\"") >&5
+ ($PKG_CONFIG --exists --print-errors "libxml-2.0") 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; then
+ pkg_cv_libxml2_CFLAGS=`$PKG_CONFIG --cflags "libxml-2.0" 2>/dev/null`
+else
+ pkg_failed=yes
+fi
+ fi
+else
+ pkg_failed=untried
+fi
+if test -n "$PKG_CONFIG"; then
+ if test -n "$libxml2_LIBS"; then
+ pkg_cv_libxml2_LIBS="$libxml2_LIBS"
+ else
+ if test -n "$PKG_CONFIG" && \
+ { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"libxml-2.0\"") >&5
+ ($PKG_CONFIG --exists --print-errors "libxml-2.0") 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; then
+ pkg_cv_libxml2_LIBS=`$PKG_CONFIG --libs "libxml-2.0" 2>/dev/null`
+else
+ pkg_failed=yes
+fi
+ fi
+else
+ pkg_failed=untried
+fi
+
+
+
+if test $pkg_failed = yes; then
+
+if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
+ _pkg_short_errors_supported=yes
+else
+ _pkg_short_errors_supported=no
+fi
+ if test $_pkg_short_errors_supported = yes; then
+ libxml2_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "libxml-2.0"`
+ else
+ libxml2_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "libxml-2.0"`
+ fi
+ # Put the nasty error message in config.log where it belongs
+ echo "$libxml2_PKG_ERRORS" >&5
+
+ { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
+ { { echo "$as_me:$LINENO: error: Test for libxml2 failed." >&5
+echo "$as_me: error: Test for libxml2 failed." >&2;}
+ { (exit 1); exit 1; }; }
+elif test $pkg_failed = untried; then
+ { { echo "$as_me:$LINENO: error: Test for libxml2 failed." >&5
+echo "$as_me: error: Test for libxml2 failed." >&2;}
+ { (exit 1); exit 1; }; }
+else
+ libxml2_CFLAGS=$pkg_cv_libxml2_CFLAGS
+ libxml2_LIBS=$pkg_cv_libxml2_LIBS
+ { echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6; }
+ :
+fi
# Checks for header files.
{ echo "$as_me:$LINENO: checking for ANSI C header files" >&5
@@ -22001,6 +22091,8 @@ done
ac_config_files="$ac_config_files Makefile"
+ac_config_files="$ac_config_files libzoom-0.1.pc"
+
cat >confcache <<\_ACEOF
# This file is a shell script that caches the results of configure
# tests run on this system so they can be shared between configure
@@ -22594,6 +22686,7 @@ do
"config.h") CONFIG_HEADERS="$CONFIG_HEADERS config.h" ;;
"depfiles") CONFIG_COMMANDS="$CONFIG_COMMANDS depfiles" ;;
"Makefile") CONFIG_FILES="$CONFIG_FILES Makefile" ;;
+ "libzoom-0.1.pc") CONFIG_FILES="$CONFIG_FILES libzoom-0.1.pc" ;;
*) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
@@ -22807,13 +22900,17 @@ GL_CFLAGS!$GL_CFLAGS$ac_delim
GL_LIBS!$GL_LIBS$ac_delim
GLU_CFLAGS!$GLU_CFLAGS$ac_delim
GLU_LIBS!$GLU_LIBS$ac_delim
-LIBPNG_CFLAGS!$LIBPNG_CFLAGS$ac_delim
-LIBPNG_LIBS!$LIBPNG_LIBS$ac_delim
+libneofx_CFLAGS!$libneofx_CFLAGS$ac_delim
+libneofx_LIBS!$libneofx_LIBS$ac_delim
+libpng_CFLAGS!$libpng_CFLAGS$ac_delim
+libpng_LIBS!$libpng_LIBS$ac_delim
+libxml2_CFLAGS!$libxml2_CFLAGS$ac_delim
+libxml2_LIBS!$libxml2_LIBS$ac_delim
LIBOBJS!$LIBOBJS$ac_delim
LTLIBOBJS!$LTLIBOBJS$ac_delim
_ACEOF
- if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 17; then
+ if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 21; then
break
elif $ac_last_try; then
{ { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5